## org.eclipse.emf.codegen.merge.java.facade
Class AbstractJNode

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.facade.AbstractJNode

All Implemented Interfaces:
  JNode

Direct Known Subclasses:
  ASTJNode, JDOMJNode

    public abstract class AbstractJNode

extends java.lang.Object
implements JNode

Since:
  2.2.0

Field Summary
`protected static java.lang.String[]` `EMPTY_STRING_ARRAY`
`protected java.lang.String` `qualifiedName`

Constructor Summary
`AbstractJNode()`

Method Summary
`protected java.lang.String` `computeQualifiedName()`
`protected java.lang.String` `computeQualifiedName(JAbstractType abstractType)`
`protected java.lang.String` `computeQualifiedName(JInitializer initializer)`
`protected java.lang.String` `computeQualifiedName(JMethod method)`
`abstract void` `dispose()`
`java.util.List<JNode>` `getChildren()` Returns the children of this node.
`abstract FacadeHelper` `getFacadeHelper()`
`int` `getFlags()` Returns the modifier flags for this node.
`protected java.lang.String` `getName(JInitializer initializer)`
`java.lang.String` `getQualifiedName()` Returns the qualified name of this node.
`protected abstract java.lang.Object` `getWrappedObject()`
`abstract boolean` `isDisposed()`
`abstract void` `setFacadeHelper(FacadeHelper facadeHelper)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JNode
`getContents, getName, getParent, setFlags, setName`

Field Detail

### EMPTY_STRING_ARRAY

    protected static final java.lang.String[] EMPTY_STRING_ARRAY

### qualifiedName

    protected java.lang.String qualifiedName

Constructor Detail

### AbstractJNode

    public AbstractJNode()

Method Detail

### dispose

    public abstract void dispose()

### isDisposed

    public abstract boolean isDisposed()

### getWrappedObject

    protected abstract java.lang.Object getWrappedObject()

### setFacadeHelper

    public abstract void setFacadeHelper(FacadeHelper facadeHelper)

### getFacadeHelper

    public abstract FacadeHelper getFacadeHelper()

### getQualifiedName

    public java.lang.String getQualifiedName()

  Description copied from interface: `JNode`
  Returns the qualified name of this node. This value is not expected to change as the node is modified.

  Specified by:
    `getQualifiedName` in interface `JNode`
  Returns:
    the qualified name of this type

### computeQualifiedName

    protected java.lang.String computeQualifiedName()

### getName

    protected java.lang.String getName(JInitializer initializer)

### computeQualifiedName

    protected java.lang.String computeQualifiedName(JInitializer initializer)

### computeQualifiedName

    protected java.lang.String computeQualifiedName(JAbstractType abstractType)

### computeQualifiedName

    protected java.lang.String computeQualifiedName(JMethod method)

### getChildren

    public java.util.List<JNode> getChildren()

  Description copied from interface: `JNode`
  Returns the children of this node. Returns an empty list if this node has no children (including nodes that cannot have children). Children appear in the order in which they are declared in the source code.

  The list must be unmodifiable if the implementation doesn't support direct manipulation.

  Specified by:
    `getChildren` in interface `JNode`
  Returns:
    a list of the children

### getFlags

    public int getFlags()

  Description copied from interface: `JNode`
  Returns the modifier flags for this node. The flags can be examined using class `FacadeFlags`.

  Specified by:
    `getFlags` in interface `JNode`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.